[ 
https://issues.apache.org/jira/browse/ZOOKEEPER-281?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12670023#action_12670023
 ] 

Patrick Hunt commented on ZOOKEEPER-281:
----------------------------------------

Maxim, try the following.

1) download the attached ZOOKEEPER-281.patch and apply it to your codebase
2) run "autoreconf -if"
3) run "./configure"

does this work? Unfortunately both the patched and unpatched versions work for 
us. (I'm on latest ubuntu 8.10 for example, but it also works on redhat as 
well) I'm not sure what's special about your system but there's probably some 
diff in the autotools or doxygen, here's what I have:

autoreconf (GNU Autoconf) 2.61
automake (GNU automake) 1.9.6
doxygen 1.5.6

You might also try running the configure script which I attached, try running 
this "./configure" after trying the above steps.


> autoreconf fails for /zookeeper-3.0.1/src/c/
> --------------------------------------------
>
>                 Key: ZOOKEEPER-281
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-281
>             Project: Zookeeper
>          Issue Type: Bug
>          Components: c client
>    Affects Versions: 3.0.1
>         Environment: Linux dememax-laptop 2.6.27-gentoo-r8 #2 SMP Fri Jan 23 
> 13:42:35 MSK 2009 i686 Intel(R) Core(TM)2 CPU T5600 @ 1.83GHz GenuineIntel 
> GNU/Linux
> autoconf (GNU Autoconf) 2.63
> automake (GNU automake) 1.10.2
> m4 (GNU M4) 1.4.11
> aclocal (GNU automake) 1.10.2
> ltmain.sh (GNU libtool) 1.5.26 (1.1220.2.493 2008/02/01 16:58:18)
> basename (GNU coreutils) 6.10
> gettext (GNU gettext-runtime) 0.17
> GNU ld (GNU Binutils) 2.18
>            Reporter: Maxim P. Dementiev
>            Assignee: Patrick Hunt
>         Attachments: autoreconf.log, configure.gz, ZOOKEEPER-281.patch
>
>
> > autoreconf -i -f -v
> autoreconf-2.63: Entering directory `.'
> autoreconf-2.63: configure.ac: not using Gettext
> autoreconf-2.63: running: aclocal --force 
> configure.ac:21: error: AC_SUBST: `DX_FLAG_[]DX_CURRENT_FEATURE' is not a 
> valid shell variable name
> acinclude.m4:77: DX_REQUIRE_PROG is expanded from...
> acinclude.m4:117: DX_ARG_ABLE is expanded from...
> acinclude.m4:178: DX_INIT_DOXYGEN is expanded from...
> configure.ac:21: the top level
> autom4te-2.63: /usr/bin/m4 failed with exit status: 1
> aclocal-1.10: autom4te failed with exit status: 1
> autoreconf-2.63: aclocal failed with exit status: 1
> >

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply via email to